PostgreSQL 7.2.1 Documentation
Prev |  | Next

# export

## Name

export -- saves the large object to file

## Synopsis

    export(filename)

### Parameters

`filename`

  The file to be created.

### Return Type

none

### Exceptions

TypeError

  Bad argument type, or too many arguments.

IOError

  Object is not closed, or export error.

pg.error

  Invalid connection or invalid object.

## Description

`export()` method allows to dump the content of a large object in a very simple way. The exported file is created on the host of the program, not the server host.

Prev | Home | Next
size | Up | DB-API Interface